class Button{
  int x;
  int y;
  int w;
  int h;
  PFont font;
  boolean rollover;
  boolean selected;
  String name;
  boolean click =false;
  Button (int _x, int _y, int _h, String _name, boolean _selected){
    x=_x;
    y=_y;
    h=_h;
    selected=_selected;
    name= _name;
    w= int(textWidth(name)+10);
    font = loadFont("Kartika.vlw");
    textFont(font, _h-4);
    setName(name);   
  }
  
  void update(int mX, int mY){
    if (detected(mX, mY)) selected=true;
    else selected = false;
    if (selected) setButton_on();
    else setButton_off();
        setName(name);
  }
  
  void setButton_on(){
    fill(50);
    stroke(200);
      rect(x, y, w, h); 
  }
  
  void setButton_off(){
   fill(180);
   stroke(200);
   rect(x, y, w, h); 
  }
 
  void setName(String name){
    textAlign(CENTER);
    fill(255);
    text(name, x+w/2, y+h-3);
  }
  boolean isSelected(){
    return selected; 
  }

  boolean detected(int mX, int mY){
    if (mX > x && mX < x+w && mY > y   && mY < y+h)return  true;
    else return false;
  }
 
}



